:root {
  --lightbg: rgb(44, 36, 59);
  --bg: rgb(32, 28, 45);
  --darkbg: rgb(24, 22, 36);
  --darkerbg: rgb(18, 17, 27);
  --blackTP: rgba(0, 0, 0, 50%);
  --blackTP2: rgba(0, 0, 0, 75%);
  --rankprogress: 0%;
  --content-width: 25vw;

  --rank-d: #de6a6a;
  --rank-dplus: #ed9d92;
  --rank-c: #ff9e59;
  --rank-cplus: #ffc759;
  --rank-b: #ffec59;
  --rank-bplus: #f2ff48;
  --rank-a: #7aff59;
  --rank-aplus: #7aff87;
  --rank-s: #7dc7ff;
  --rank-splus: #7df2ff;
  --rank-ss: #7db3ff;

  --bouncy: cubic-bezier(0, 2, 0.8, 1);
}

@font-face {
  font-family: renogare;
  src: url("fonts/renogare.otf");
}

@font-face {
  font-family: deca;
  src: url(fonts/deca.ttf);
}

@media screen and (max-width: 750px) {
  :root {
    --content-width: 90vw;
  }
  .all {
    flex-direction: column;
  }
}

html {
  font-size: 62.5%;
  scrollbar-width: none;
  -ms-overflow-style: none;
  background-color: var(--bg);
  font-family: deca;
}

p,
a,
span {
  color: white;
  margin: 0;
  text-decoration: none;
}

.backbutton {
  text-align: center;
  position: absolute;
  background-color: var(--blackTP);
  width: 100px;
  height: 30px;
  left: 0;
  top: 5px;
  cursor: pointer;
  text-decoration: none;
  font-size: 2em;
  display: flex;
  justify-content: center;
  align-items: center;
  user-select: none;
  transition: width var(--bouncy) 0.25s, letter-spacing var(--bouncy) 0.25s;
}

.backbutton:after {
  content: " ";
  width: 0px;
  height: 0px;
  border-top: 30px solid var(--blackTP);
  border-left: 0px solid transparent;
  border-bottom: 0px solid transparent;
  border-right: 10px solid transparent;
  position: absolute;
  right: -10px;
  top: 0px;
}

.backbutton:hover {
  width: 125px;
  letter-spacing: 3px;
}

.backbutton:active {
  width: 140px;
  letter-spacing: 0px;
}

.all-container {
  display: flex;
  justify-content: center;
}

.all {
  display: flex;
  gap: 20px;
}

.left {
  display: flex;
  gap: 20px;
  flex-direction: column;
  align-items: center;
}

.stats-container {
  margin: 0 auto;
  background-color: var(--darkbg);
  width: var(--content-width);
  text-align: center;
  padding: 5px;
}

.stats-all {
  display: flex;
  gap: 5px;
  flex-direction: column;
}

.stats-title {
  font-size: 2em;
  font-weight: 600;
}

.stat {
  text-align: left;
}

.stats-text {
  font-size: 1.25em;
}

.stats-name {
  font-size: 1.25em;
  font-weight: 600;
}

.stat-container {
  background-color: var(--darkerbg);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
}

.stat-img-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.stat-img {
  height: 20px;
}

.eddie-orbs {
  width: var(--content-width);
  background-color: var(--darkbg);
  text-align: center;
  padding: 5px;
}

.eddie-orbs-label {
  font-size: 2em;
  font-weight: 600;
}

.eddie-orbs-count {
  font-size: 3em;
  padding-top: 10px;
  padding-bottom: 10px;
  font-weight: 600;
  background-color: var(--darkerbg);
}

.eddie-orbs-other-container {
  display: flex;
  gap: 5px;
}

.eddie-orbs-other {
  background-color: var(--darkerbg);
  margin-top: 5px;
  padding: 10px;
  font-weight: 600;
  width: 50%;
  overflow: hidden;
}

.ps {
  font-size: 1.75em;
}

.upgrade-tooltip {
  background-color: var(--blackTP);
  position: absolute;
  padding: 5px;
  border-radius: 5px;
  right: -340px;
  top: 35px;
  width: 300px;
  opacity: 0;
  transition: all ease-in-out 0.25s;
  backdrop-filter: blur(5px);
}

.upgrade-tooltip:after {
  content: " ";
  width: 0px;
  height: 0px;
  border-top: 10px solid transparent;
  border-left: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid var(--blackTP);
  position: absolute;
  backdrop-filter: blur(5px);
  left: -10px;
  top: 9px;
  margin-left: -10px;
}

.upgrade-tt-title {
  font-weight: 600;
  font-size: 1.25em;
}

.upgrades-container {
  position: relative;
  text-align: center;
  margin: 0 auto;
  width: var(--content-width);
  padding: 5px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  background-color: var(--darkbg);
}

.upgrades {
  background-color: var(--darkbg);
}

.upgrade-container {
  display: grid;
  width: var(--content-width);
  grid-template-columns: repeat(10, 1fr);
  background-color: var(--darkerbg);
}

.upgrades-none {
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--content-width);
  height: 50px;
  background-color: var(--darkerbg);
}

.upgrades-none-text {
  font-size: 1.5em;
  font-weight: 600;
}

.upgrade {
  width: calc(var(--content-width) / 10);
  transition: transform var(--bouncy) 0.25s;
}

.upgrade:hover {
  transform: scale(125%);
}

.upgrade:active {
  transform: scale(200%);
}

.upgrades-label {
  font-size: 2em;
  font-weight: 600;
}

.rank-all {
  background-color: var(--darkbg);
  text-align: center;
  padding: 5px;
}

.rank-title {
  font-size: 2em;
  font-weight: 600;
}

.rank-container {
  background-color: var(--darkerbg);
  padding: 5px;
  display: flex;
  gap: 10px;
  width: var(--content-width);
}

.rank-right {
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: space-between;
  text-align: left;
  padding: 10px;
}

.rank {
  width: 75px;
}

.rank-counter {
  font-size: 1.5em;
  font-weight: 600;
}

.rank-prograss-overlay {
  position: absolute;
  height: 10px;
  width: 0;
  background-color: rgb(132, 86, 75);
  border-radius: 5px;
  z-index: 2;
  transition: width cubic-bezier(0.5, 0, 0.5, 1) 1.5s;
}

.rank-progress {
  background-color: var(--bg);
  border-radius: 5px;
  width: 100%;
  height: 10px;
}

.sphere-all {
  background-color: var(--darkbg);
  text-align: center;
  padding: 5px;
}

.sphere-container {
  background-color: var(--darkerbg);
  padding: 5px;
  display: flex;
  gap: 10px;
  width: var(--content-width);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.sphere {
  padding: 10px;
  width: 25%;
  height: 25%;
}

.sphere-title {
  font-size: 1.5em;
  font-weight: 600;
}

.achievements {
  text-align: center;
  margin: 0 auto;
  width: var(--content-width);
  padding: 5px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-bottom: 20px;
  background-color: var(--darkbg);
}

.achievements-title {
  font-size: 2em;
  font-weight: 600;
}

.achievement {
  text-align: left;
  padding: 5px;
  background-color: var(--darkerbg);
}

.secret {
  box-shadow: 0px 0px 5px rgb(119, 112, 255);
}

.achievement-title {
  font-size: 1.5em;
  color: gray;
  font-weight: 600;
}

.achievement-desc {
  color: gray;
}
